Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.bidi
Class BidiClass

    java.lang.Object
      org.apache.fop.complexscripts.bidi.BidiClass

    public final class BidiClass

extends java.lang.Object

Bidirectional class utilities.

Method Summary
`static int` | `getBidiClass(int ch)` Lookup bidi class for character expressed as unicode scalar value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBidiClass

    public static int getBidiClass(int ch)

  Lookup bidi class for character expressed as unicode scalar value.

  Parameters:
    `ch` - a unicode scalar value
  Returns:
    bidi class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.